<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Author: Olaf Herfurth / TerraProject  http://www.tecmu.de
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 * utf-8: äöüß
 */

$hook = function($module_name, $dummy, &$content)
{
    /* $dummy wird hier nicht übergeben, ist also immer leer */

    $mymodul= basename(dirname(__DIR__));

    if (MX_MODULE != $mymodul) {
		include_once(PMX_MODULES_DIR . DS . $mymodul . DS . "includes" . DS . "functions.php");			
        $search = array();
        $conf = load_class('Book', $mymodul);
		$frecord=function () {
				global $module_name;
				$langlist = mxGetAvailableLanguages(true);
				$temp=array();
				$a=array();
				$config=array();
				$config['rightblocks']=1;
				$config['plugins']=0;
				$config['changecontent']=0;			
				
				foreach($langlist as $caption => $language) {
					$a[$language]="";
					$b[$language]=$module_name;
				}
				
				$temp['title']=serialize($b);
				$temp['text1']=serialize($a);
				$temp['config']=serialize($config);
				unset($a,$b);
				return $temp;
			};
		$drecord=$frecord();
		$default=unserialize($drecord['config']);
		$root = $conf->getRootRecord();
		$lang = pmxBase::currentlang();
		/* check first time */
		if ($root['date_created']==0) {
			/* first start */
			$root=$drecord;
			$root['date_created']=time();
			$conf->setRootRecord($root);
		}
		if (!trim($root['config'])==""){
			$config=unserialize($root['config']);
		} else {
			$config=$default;
		}
		$config = array_merge($default,$config);
		$root   = array_merge($drecord,$root);
		if ($config['changecontent'] == 1) {
			$titel=array();
			$titel = ($root['title']==$module_name)?unserialize($drecord['title']):unserialize($root['title']);
			$title=trim($titel[$lang]);
			$title = html_entity_decode(trim($title), ENT_COMPAT | ENT_HTML5, 'UTF-8');
			$search[$title] = "<a class=\"linkext\" href=\"modules.php?name=$mymodul\" title=\"" . $title . "\" >" . $title . "</a>";
            $content = mxChangeContent($content, $search,1);
            unset ($search, $search2);
			pmxHeader::add_style("modules/$mymodul/style/style.css");
        }
		

    }
} ;

?>